﻿using System;
using System.Reflection;
using System.Threading.Tasks;
using Azure.Messaging.ServiceBus;
using Microsoft.Extensions.Configuration;

namespace ServiceBusTestCore
{
    class Program
    {

        static async Task Main(string[] args)
        {
            Worker w = new Worker();
            Console.WriteLine("Hello World!");

            // Enable to app to read json setting files
            var builder = new ConfigurationBuilder()
                .AddJsonFile("appsettings.json", optional: false, reloadOnChange: true);

            // build the configuration
            var configuration = builder.Build();

            string connectionString = configuration["ServiceBus:ConnectionString"];
            string queueName = configuration["ServiceBus:QueueName"]; ;

            await w.ReceiveMessagesAsync(connectionString, queueName);

        }

    

    }
}
